%global aname inputstream.adaptive
%global kodi_version 21.0

Name:           kodi-addon-inputstream-adaptive
Version:        21.4.4
Release:        %mkrel 1
Summary:     Adaptive file addon for Kodi's InputStream interface
Group:          Video
License:        GPLv2+
URL:            https://github.com/peak3d/inputstream.adaptive/
Source0:       %{aname}-%{version}-Omega.tar.xz
BuildRequires:  kodi-devel
BuildRequires:  lib64p8-platform-devel
Requires:       kodi >= %{kodi_version}
Provides:       bundled(bento4)

%description
%{summary}.

%prep
%setup -qn %{aname}-%{version}-Omega

find . -name '*.h' -or -name '*.cpp' | xargs chmod a-x

%build
export LDFLAGS='-ldl -pthread -lpthread'

%cmake \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -DCMAKE_BUILD_TYPE=Release \
        -DBUILD_SHARED_LIBS=1 \
        -DENABLE_INTERNAL_BENTO4=1 \
        -DBENTO4_URL="%{_sourcedir}/Bento4-1.6.0-641-Omega.tar.gz"


%make

%install
rm -rf %buildroot
%make_install -C build

# Fix permissions at installation
find $RPM_BUILD_ROOT%{_datadir}/kodi/addons/ -type f -exec chmod 0644 {} \;
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/kodi/addons/%{aname}/*.so

%files
%{_libdir}/kodi/addons/%{aname}/
%{_datadir}/kodi/addons/%{aname}/

%changelog
* Fri Apr 12 2024 tex - 21.4.4-1pclos2024
- new version

* Wed Feb 01 2023 tex - 20.3.2-1pclos2023
- new version

* Mon Mar 14 2022 tex - 19.0.3-1pclos2022
- new vesion
